<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
////////////////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'fo' WHERE `id` = '".$id_session."'");


echo head . "<b>Обменник файлов</b>" . div;   

echo katalog;


switch ( $_GET['mod'] ) {
    
    case 'add_cat':
    
    if(empty($_POST['submit'])){
        echo '<form action="admin.php?mod=add_cat" method="post" name="form">';
        echo '
        <b>Название раздела:</b><br/>
        <input class="text" input name="name" type="text" maxlength="100" /><br/>
        <b>Описание раздела:</b><br/>
        <input class="text" input name="info" type="text" maxlength="100" /><br/>
        <b>Тип раздела:</b><br/>
        <select name="tip">
        <option value="1">Изображения</option>
        <option value="2">Музыка</option>
        <option value="3">Видео</option>
        <option value="4">Игры и Приложения (Java)</option>
        <option value="5">Игры и Приложения (Symbian)</option>
        <option value="6">Темы (Java)</option>
        <option value="7">Темы (Symbian)</option>
        <option value="8">Архивы</option>
        <option value="9">Текстовые файлы</option>
        <option value="10">Изображения + Эро</option>
        <option value="11">Видео + Эро</option>
        </select><br/>
        <input class="ibutton" input name="submit" type="submit" value="Создать" /></form>';
    } else {
        $name = html($_POST['name']);
        $info = html($_POST['info']);
        $tip = num($_POST['tip']);
        $result = mysql_query("INSERT INTO `fo_cat` SET `name` = '".$name."', `info` = '".$info."', `tip` = '".$tip."'");
        $last = mysql_insert_id();        
    if ( $result == 1 ) header('Location: cat.php?cat='.$last.'&addcyes'); else header('Location: index.php?addcerr');
   
         
    
    }
    
    break;
    

    case 'add_pcat':
    
    if(empty($_POST['submit'])){
        echo '<form action="admin.php?mod=add_pcat&cat='.num($_GET['cat']).'" method="post" name="form">';
        echo '
        <b>Название подраздела:</b><br/>
        <input class="text" input name="name" type="text" maxlength="100" /><br/>';
        echo '<input class="ibutton" input name="submit" type="submit" value="Создать" /></form>';
    } else {
        $name = html($_POST['name']);
        $cat = num($_GET['cat']);
        $result = mysql_query("INSERT INTO `fo_pcat` SET `name` = '".$name."', `cat` = '".$cat."'");
        $last = mysql_insert_id();        
    if ( $result == 1 ) header('Location: pcat.php?pcat='.$last.'&addcyes'); else header('Location: cat.php?cat='.$cat.'&addcerr');
   
         
    
    }
    
    break;
    
    
}




echo div;
/////////////////////////////////////////

navig();
foot();
?>